Should You Migrate from Joomla! 2.5 to Joomla! 3.1?

Should You Migrate from Joomla! 2.5 to Joomla! 3.1?

Congratulations on choosing to use Joomla! for your website Content Management System (CMS). Currently Joomla 2.5 is the current Long Term Support (LTS) version, and Joomla 3.1 is the current Short Term Support (STS) version. Joomla 3.1 will eventually lead to the next Long Term Support version Joomla 3.5 due for release in March 2014.

 

Before you get to the decision making process of whether you should migrate your Joomla 2.5 website to Joomla 3.1, you will need to do some “homework” about what you currently are using for your website hosting, your website template, and the extensions that you are using on your website.

Some of the main considerations you will need to address are:

1. Server/Hosting Technical Requirements

Requirements for Joomla 3.x
Software RecommendedSoftware Minimum More information
PHP (Magic Quotes GPC off) 5.3.1 + 5.3.1 + http://www.php.net
Supported Databases:
MySQL (InnoDB support required) 5.1 + 5.1 + http://www.mysql.com
MSSQL 10.50.1600.1+ 10.50.1600.1+ http://www.microsoft.com/sql
PostgreSQL 8.3.18 + 8.3.18 + http://www.postgresql.org/
Supported Web Servers:
Apache(with mod_mysql, mod_xml, and mod_zlib) 2.x + 2.x + http://www.apache.org
Nginx 1.1 1.0 http://wiki.nginx.org/
Microsoft IIS 7 7 http://www.iis.net

Some of the changes between Joomla 2.5 and Joomla 3.5 are in the requirements of the hosting environment you will need to be able to have a Joomla 3.1 website.

Some of the differences are:

  • PHP minimum requirement for Joomla 2.5 is 5.2.4+, with Joomla 3.1 the minimum requirement is 5.3.1+. With Joomla 3.1 “Magic Quotes GPC” must be “off” for you to be able to install it on your hosting server.
  • MySQL minimum (and recommended) requirement for Joomla 2.5 is 5.0.4+, with Joomla 3.1 the minimum (and recommended) requirement is 5.1+. InnoDB support is required with Joomla 3.1
  • 2 new Databases are available with Joomla 3.1 that were not previously available with Joomla 2.5 MSSQL and PostgreSQL can be used for database if you are using windows hosting.

Most hosting companies that currently support Joomla 2.5 hosting on their servers will already be capable of hosting a Joomla 3.1 website on your same server. Best thing to do is consult your hosting company’s technical requirements for your server hosting plan to see if your server is ready to have a Joomla 3.1 installation on it. If you are not sure, please consult your hosting company’s technical support documentation, or place a support request ticket with your hosting company about any questions you may have about hosting a Joomla 3.1 website on your server.

2. Template

You will need to find your template name and find out which company/developer created the template you are using on your current Joomla 2.5 website. To find this information about your template, you will need to log into your Joomla 2.5 administration. Once you are logged into your administration backend, go to the “extensions” menu, then “Template Manager” to view a list of your templates you have installed on your website. Click on “Templates” on the top of the “Template Manager” and this will show you the “Author” of the template you are using.

Recommended Joomla responsive template for free:

Joom Portfolios it’s a Free Joomla Responsive Template

Blue Business a Free Joomla Responsive Template

 

Once you know the Author of your template, you will need to visit their website to see there is a Joomla 3.x version of your current template. If there is a version of your template available, download the Joomla 3.x version. If there is no Joomla 3.x version of your template, you can contact the Author to find out if they are planning to release a Joomla 3.x version of your template.

If the Author is not planning to release a Joomla 3.x version of your template, either you will have to stay with your Joomla 2.5 website, or you will have to change your template to one that works on Joomla 3.x

3. Extensions

Once you have the list of the extensions you are using on your Joomla 2.5 website, you will need to go to each extension developer’s website (or the Joomla Extension Directory) to see if there is a version of that extension that will work with Joomla 3.x. If the extension developer does not have their extension available for Joomla 3.x, you can inquire about whether they are planning to release a Joomla 3.x version of their extension.

If the extension developer is not going to release a Joomla 3.x version of your extension in the near future (or not at all), you will to find another extension that will replace your extension that you are using with your Joomla 2.5 website.

Some more extension good for SEO:

Top Joomla sercurity extensions in 2013

5 nice Joomla SEO extensions that search engine will love your site

So what is the best thing to do?

Once you have gathered the information about your current Joomla 2.5 website, you will need to compare that information with the requirements for a Joomla 3.1 website. If any of the necessary parts (hosting, template, or extensions) are not ready for Joomla 3.1, you will not be able to make the move to Joomla 3.1 without meeting the requirements for a Joomla 3.1 website.

In most cases, you will want to wait until Joomla 3.5 comes out before you decide to update your website from Joomla 2.5 With the new features of the Joomla 3.x CMS, it probably would be good thing to download a copy of it, install it on your local computer, and start using it. That way once you do make the decision to move to the Joomla 3.x you will already be familiar with the software and the updated features in it.

Remember, when in doubt “Make a Backup”!

Useful Info about Joomla 2.5 and 3.x:

Be Sociable, Share!

Leave a comment